<template>
  <v-row align="center" justify="center" class="slideup-everywher text-center mb-4">
    <v-col cols="12" class="pb-12 text-center">
      <h2>
        {{ $t('htmProduct.tech.title') }}
      </h2>
    </v-col>
    <v-row v-scrollAnime class="fill-height" align="center" justify="center">
      <v-col
        v-for="item in tech"
        :key="item.title"
        v-scrollAnime
        cols="4"
        sm="2"
        md="2"
        lg="1"
      >
        <TechCards :color="item.color" :title="item.title" :name="item.tooltip" />
      </v-col>
    </v-row>
  </v-row>
</template>
<script>
export default {
  name: 'HtmTech',
  data() {
    return {
      tech: [
        {
          title: 'si_nginx',
          color: '#E95420',
          tooltip: 'Nginx',
        },
        {
          title: 'si_lua',
          color: '#E95420',
          tooltip: 'Lua',
        },
        {
          title: 'si_elasticsearch',
          color: '#E95420',
          tooltip: 'Elasticsearch',
        },
        {
          title: 'si_fluentd',
          color: '#E95420',
          tooltip: 'Fluent Bit',
        },
        {
          title: 'si_influxdb',
          color: '#E95420',
          tooltip: 'Telegraf/InfluxDB',
        },
        {
          title: 'si_kibana',
          color: '#E95420',
          tooltip: 'Kibana',
        },
        {
          title: 'si_prometheus',
          color: '#E95420',
          tooltip: 'Prometheus',
        },
        {
          title: 'si_grafana',
          color: '#E95420',
          tooltip: 'Grafana',
        },
        {
          title: 'si_sentry',
          color: '#E95420',
          tooltip: 'Sentry',
        },
      ],
    };
  },
};
</script>
